/*
 *  Adjective.java
 *
 *  Copyright (c) 1998-2002, The University of Sheffield.
 *
 *  This file is part of GATE (see http://gate.ac.uk/), and is free
 *  software, licenced under the GNU Library General Public License,
 *  Version 2, June 1991 (in the distribution as file licence.html,
 *  and also available at http://gate.ac.uk/gate/licence.html).
 *
 *  Marin Dimitrov, 16/May/2002
 *
 *  $Id: Adjective.java,v 1.2 2002/05/30 09:54:16 marin Exp $
 */

package gate.wordnet;

import java.util.*;

import gate.*;
import gate.event.*;


/** Represents WordNet adj.
 */
public interface Adjective extends WordSense {

  /** adjective - prenominal (attributive) position  */
  public static final int ADJ_POS_ATTRIBUTIVE = 10001;

  /** adjective -  immediately postnominal position */
  public static final int ADJ_POS_IMMEDIATE_POSTNOMINAL  = 10002;

  /** adjective - predicate position */
  public static final int ADJ_POS_PREDICATIVE  = 10003;

  /** adjective - position unknown */
  public static final int ADJ_POS_NONE = 10004;

  /** returns the syntactic position of the adjective in relation to noun that it modifies */
  public int getAdjectivePosition();

}

